# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# NETRect Struct Reference

Simple rectangle class for NET classes. More...

`#include <netwm_def.h>`

Collaboration diagram for NETRect:

[legend]
List of all members.

## Public Attributes

NETPoint | pos
NETSize | size

## Detailed Description

Simple rectangle class for NET classes.

This class is a convenience class defining a rectangle as a point x,y with a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library;

NETRect is only used by the NET API. Usually QRect is the appropriate class for representing a rectangle.

Definition at line 94 of file netwm_def.h.

## Member Data Documentation

NETPoint NETRect::pos

Position of the rectangle.

See also:
  NETPoint

Definition at line 100 of file netwm_def.h.

Referenced by NETWinInfo::setIconGeometry().

NETSize NETRect::size

Size of the rectangle.

See also:
  NETSize

Definition at line 107 of file netwm_def.h.

Referenced by NETWinInfo::setIconGeometry().

The documentation for this struct was generated from the following file:

- netwm_def.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003